#{extends 'common/landing-base.html' /}
#{set 'title'}
Registrasi Admin K/L/P/D
#{/set}
<section class="header-blacklist" style="background-image: url(@{'public/images/bg-list-article.svg'})">
    <div class="ui grid" style="height: 120px; margin-top: 0px;">
        <div class="sixteen wide column middle aligned center aligned">
            <h2>Daftar Artikel</h2>
        </div>
    </div>
</section>

<section class="list-article" style="background: #f9f9f9;">
    <div class="ui container">
        <div class="ui grid stackable">
            <div class="sixteen wide column">
                <div class="ui divider hidden"></div>
                <div class="ui breadcrumb">
                    <a href="#{url route.core_landingcontroller_index /}" class="section">Home</a>
                    <div class="divider"> / </div>
                    <div class="active section">Artikel</div>
                    <input type="hidden" id="offset" class="offset" value="0" >
                    <input type="hidden" id="limit" class="limit" value="4" >
                </div>
            </div>
            <div class="sixteen wide column">
                #{searchcontent.content-filter result:result /}
            </div>
            <div class="ten wide column content-wrapper-article" style="padding-top: 1rem;">
                <div class="ui one column grid artikelku margin-zero">
                    #{list items:result.getItems(), as:'item' }
                        <div class='column ui card '>
                            <div class='ui grid'>
                            <div class='four wide column padding-zero img-list' style='background-image: url("${item?.getDetail()?.getFeaturedImageUrl()}"), url(@{'public/images/img-default.svg'})'>
                                <div class="ui divider hidden"></div>
                                <div class="ui ${item?.getTypeAsColorCode()} tiny label mar-l-rem">${item.getContentType()}</div>
                                </div>
                            <div class='twelve wide column left aligned'>
                                <a href="${item?.getUrl()}">
                                    <div class='date'>${item?.getDetail()?.getCreatedAsDateOnly()}</div>
                                    <div class='title-article'>${item?.getDetail()?.getDetailTitle()}</div>
                                    <div class='desc'>${item?.getDetail()?.cleanAndAbbreviateContent()}</div>
                                    </a>
                                </div>
                            </div>
                        </div>
                    #{/list}
                </div>
                #{pagination result /}
                <div class="bg-danger alert-content hidden"></div>
            </div>
            <div class="six wide column">
                <div class="ui one column grid card width-full radius-10 pad-b-2rem">
                    #{cms.popular-articles items:populars /}
                </div>
            </div>
        </div>
    </div>
</section>
#{set 'moreStyles'}
<style>
div.column.ui.card.mar-l-rem.before {
  background-image:
    repeating-linear-gradient(
      45deg,
      transparent,
      transparent 1rem,
      #13a2b4 1rem,
      #13a2b4 2rem
    );
  background-size: 200% 200%;
  animation: barberpole 10s linear infinite;
}

@keyframes barberpole {
  100% {
    background-position: 100% 100%;
  }
}

.list-article .desc { color: #000000!important;text-align: justify; text-justify: inter-word;}
.list-article .date { color: #000000!important;}
.alert-content {text-align: center;font-size: 20px;color: #ffffff!important; margin-top:40px;}
.bg-danger { background-color: #13a2b4!important;}
.column.ui.card.mar-l-rem{
  animation: animateElement linear .3s;
  animation-iteration-count: 1;
  margin-bottom:5px;
  width:100%;
  min-height:30px;
  border-radius:10px;
 }
@keyframes animateElement{
  0% {
    opacity:0;
    transform:  translate(0px,10px);
  }
  100% {
    opacity:1;
    transform:  translate(0px,0px);
  }
}
</style>
#{/set}
#{set 'moreScripts'}
#{get 'filterScripts' /}
#{/set}
